Subject: bug#4534: assertion failure at window.c:grow_mini_window

From: Juanma Barranquero <[email-masked]>
Date: Fri, 25 Sep 2009 13:30:38 +0200

On Fri, Sep 25, 2009 at 10:35, Eli Zaretskii <[email-masked]> wrote:

> Does this code cause an immediate redisplay?  I think it doesn't,
> which means shrink_mini_window does not actually shrink the window, it
> just prepares the glyph matrices for that.  The next redisplay will
> actually change how things are shown on the screen.

Hmm. The "else" part of shrink_mini_window (which works, in this case,
if you force it to go that route) definitely shrinks the window:

      Lisp_Object window;
      XSETWINDOW (window, w);
      enlarge_window (window, 1 - XFASTINT (w->total_lines), 0);

As for the "if" part, I think you're right.

Anyway, the last patch by Martin worked as expected, at least for this
bug. Is there any downside to it?

    Juanma